metadata:
  name: ofono-sms-receive
  format: "Apertis Test Definition 1.0"
  image-types:
    hmi:     [ armhf, amd64 ]
    basesdk: [ amd64 ]
    sdk:     [ amd64 ]
  image-deployment:
    - APT
    - OSTree
  type: functional
  exec-type: manual
  priority: medium
  maintainer: "Apertis Project"
  description: "Test receiving SMS messages with oFono."

  resources:
    - "A phone with a SIM card."
    - "A modem plugged into the Apertis system with a SIM card."

  expected:
    - "A similar output should be displayed when the SMS is received:"
    - |
        >signal time=1582104254.143670 sender=:1.4 -> destination=(null destination) serial=96 path=/huawei_0; interface=org.ofono.MessageManager; member=IncomingMessage
         string "Continue sending"
        array [
         dict entry(
              string "LocalSentTime"
              variant             string "2020-02-19T09:24:12+0000"
         )
         dict entry(
              string "SentTime"
              variant             string "2020-02-19T14:54:12+0530"
         )
         dict entry(
              string "Sender"
              variant             string "+917618766390"
        )
         ]>

run:
  steps:
    - "Ensure the modem is online:"
    - $ connmanctl enable cellular
    - "Launch dbus-monitor"
    - $ dbus-monitor --system "type='signal',sender='org.ofono',interface='org.ofono.MessageManager'"
    - "Send a SMS from the mobile phone to the system."
